Update static gate
/static-gate/{id}
Path Parameters
The ID of the static gate you want to update.
1ba1f401-7183-47c5-9e39-e8e257e3c795Request Body
The domain this static gate will proxy requests for.
updated.example.comA descriptive name for the static gate.
Updated Static GateResponse Body
The date and time when the static gate was created.
2021-08-10T10:30:00.000ZThe ID of the user who created this static gate.
b7bb7578-bff2-42b2-a57f-46c874865296The domain this static gate will proxy requests for.
api.example.comThe ID of the environment this static gate is scoped to.
8a2b104d-74a6-47f2-b93e-c6b611e82391The ID of the static gate.
1ba1f401-7183-47c5-9e39-e8e257e3c795A descriptive name for the static gate.
My Static GateThe date and time when the static gate was last updated.
2021-08-10T10:30:00.000Zcurl -X PATCH 'https://api.truto.one/static-gate/{id}' \
-H 'Authorization: Bearer <your_api_token>' \
-H 'Content-Type: application/json' \
-d '{
"name": "Updated Static Gate",
"domain": "updated.example.com"
}'const body = {
"name": "Updated Static Gate",
"domain": "updated.example.com"
};
const response = await fetch('https://api.truto.one/static-gate/{id}', {
method: 'PATCH',
headers: {
'Authorization': 'Bearer <your_api_token>',
'Content-Type': 'application/json',
},
body: JSON.stringify(body),
});
const data = await response.json();
console.log(data);import requests
url = "https://api.truto.one/static-gate/{id}"
headers = {
"Authorization": "Bearer <your_api_token>",
"Content-Type": "application/json",
}
params = {
}
payload = {
"name": "Updated Static Gate",
"domain": "updated.example.com"
}
response = requests.patch(url, headers=headers, params=params, json=payload)
print(response.json())import Truto from '@truto/truto-ts-sdk';
const truto = new Truto({
token: '<your_api_token>',
});
const body = {
"name": "Updated Static Gate",
"domain": "updated.example.com"
};
const result = await truto.staticGate.update('<id>', body);
console.log(result);import asyncio
from truto_python_sdk import TrutoApi
truto_api = TrutoApi(token="<your_api_token>")
async def main():
body = {
"name": "Updated Static Gate",
"domain": "updated.example.com"
}
result = await truto_api.static_gates.update("<id>", body)
print(result)
asyncio.run(main())